Subject: Re: [PATCH 0/2] repack: pack everything into promisor packfile in partial repos

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Sep 2024 09:48:54 -0700

Phillip Wood <[email-masked]> writes:

> I was wondering if it would be possible to cache the tip commits in
> promisor packs when repacking so that a subsequent repack only has to
> walk the commits added since the last repack when it is trying to
> figure out if a local object should be moved into a promisor pack.

I was wondering the same thing.  If packfiles (and bundles) record
the entry points and the exit points of the DAG, it would help quite
a bit.

> It would be helpful if the cover letter or commit messages discussed
> the tradeoffs of these changes and updated that document accordingly.

I like the suggestion very much.

Thanks for a review.